"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RealClock = void 0;
exports.formatToDateTimeString = formatToDateTimeString;
class RealClock {
    now() {
        return new Date();
    }
}
exports.RealClock = RealClock;
function formatToDateTimeString(dateTime) {
    const year = dateTime.getFullYear();
    const month = String(dateTime.getMonth() + 1).padStart(2, '0'); // Months are 0-indexed
    const day = String(dateTime.getDate()).padStart(2, '0');
    const hours = String(dateTime.getHours()).padStart(2, '0');
    const minutes = String(dateTime.getMinutes()).padStart(2, '0');
    const seconds = String(dateTime.getSeconds()).padStart(2, '0');
    const milliseconds = String(dateTime.getMilliseconds()).padStart(3, '0');
    return `${year}_${month}_${day}_${hours}_${minutes}_${seconds}_${milliseconds}`;
}
//# sourceMappingURL=DateTimeUtils.js.map